%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           FUNCION EXITO                      
%   Se ejecutara al final del procesasado y su funcion sera la de informar
%   al usuario que ha terminado el procesado y de permitirle comparar los
%   diferentes resultados con la imagen original. Tambien permitira volver
%   a la pantalla inicial para introducir una nueva imagen a procesar
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function varargout = guidetemplate0(varargin)

%Parte del programa generada automaticamente por Matlab
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @guidetemplate0_OpeningFcn, ...
                   'gui_OutputFcn',  @guidetemplate0_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
function guidetemplate0_OpeningFcn(hObject, eventdata, handles, varargin)
handles.output = hObject;
guidata(hObject, handles);
function varargout = guidetemplate0_OutputFcn(hObject, eventdata, handles)
varargout{1} = handles.output;






%Parte del programa editada por el usuario


function pushbutton1_Callback(hObject, eventdata, handles) %Boton que mostrara la imagen original al pinchar sobre el.
fig=imread('original.bmp');
figure;
imshow(fig);


function pushbutton2_Callback(hObject, eventdata, handles) %Boton que mostrara el resultado sin utilizar filtros
fig=imread('Resultado_sin_filtros.bmp');
figure;
imshow(fig);


function pushbutton3_Callback(hObject, eventdata, handles) %Boton que mostrara el resultado sin utilizando un filtro para el pelo
fig=imread('Resultado_filtro_pelo.bmp');
figure;
imshow(fig);


function pushbutton4_Callback(hObject, eventdata, handles) %Boton que cerrara el programa 'exito' y volvera a la pantalla inicial
interfaz
close(Exito)



function pushbutton5_Callback(hObject, eventdata, handles) %Boton que mostrara el resultado utilizando un filtro para bordes
fig=imread('Resultado_filtro_bordes.bmp');
figure;
imshow(fig);

