%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           FUNCION ESTUDIO_ CONTORNO                      
% Funcion que permite desecharmarcas originadas por bordes o texturas que
% no pueden ser eliminadas por factores de color pero si de forma. Como
% enrada necesitara una imagen binaria a la que se ha aplicado la
% estraccion de contornos. Y como salida dara una imagen binaria listapara
% marcar.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y=estudio_contorno(binaria);

[M,N]=size(binaria); % Se calculan las dimensiones de la imagen
guardando=zeros(M,N); % crea una imagen negra con el tamao de imagen original que hara de buffer
imwrite(guardando,'guardando.bmp'); % guardamos la imagen buffer

for i=1:M
    for j=1:N
        if binaria(i,j)==255 % recorre imagen binaria y en los pixels blancos llama a "cerrar contorno"
           binaria=cerrar_contorno(binaria,i,j);
        end
    end
end

 y=imread('guardando.bmp'); % carga la imagen buffer final para dar el resultado
