%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           FUNCION INTERFAZ                      
%   Muestra por pantalla el cuadro de dialogo donde introducir la
%   imagen. Espererara a la pulsacion de intro para mostrar la 
%   imagen original llamar a las dos partes del procesado y mostrar
%   los rsultados. En el caso de que haya algun tipo de error mostrara
%   una pantalla indicandolo.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function varargout = interfaz(varargin)

%Parte de la funcion generada automaticamente por Matlab
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @interfaz_OpeningFcn, ...
                   'gui_OutputFcn',  @interfaz_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end
if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
function interfaz_OpeningFcn(hObject, eventdata, handles, varargin)
handles.output = hObject;
guidata(hObject, handles);
function varargout = interfaz_OutputFcn(hObject, eventdata, handles)
varargout{1} = handles.output;
function edit1_CreateFcn(hObject, eventdata, handles)
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end
function edit1_Callback(hObject, eventdata, handles)


%Cuando se introduzca la imagen y se pulse intro se ejecutara el siguiente codigo

try %Si no hay errores se ejecutaran las funciones comprendidas entre try y catch
a=get(hObject,'String'); %Se leen los datos introducidos en el cuadro de dialogo
foto=imread(a);
imwrite(foto,'original.bmp'); %Se carga la imagen original y se realiza una copia
procesando %se muestra la imagen original
procesado1(foto); %El programa llama a las dos partes del procesado
Proceso1=imread('Procesado1.bmp');
procesado2(Proceso1,foto);
alert=wavread('Alerta.wav'); %al terminar lanza una seal acustica
sound(alert);
Exito %Se muestra el dialogo de exito y se cierran los demas
close('Detector')
close('Mensaje')
catch %En el caso de que algo falle se mostrara el mensaje de error y se cerraran los demas dialogos
Error_en_imagen
close('Detector')
close('Mensaje')
end