%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           FUNCION MARCA                       
% A partir de la imagen original y una binaria correspondiente a uno de los
% filtros Prewitt, dara como salida una imagen marcada con verde la primera
% estimacion de lo que son las pecas y marcas que buscamos.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y=marca(orig,marca) 

[M,N]=size(marca); % Calcula el tamao de la imagen
y=orig; % realiza una copia de la imagen original

for i=1:M
    for j=1:N % recorre la imagen binaria
        
        if marca(i,j)==255 % si el pixel de la imagen binaria es blanco, se asigna al correspondiente
                           % de la original el color verde (en RGB 0,255,0)
                y(i,j,1)=0;
                y(i,j,2)=255;
                y(i,j,1)=0;
         end
    end
end
