%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           FUNCION CERRAR_ CONTORNO                      
% Funcion que permite analizar los pixels pertenecientes al contorno de una
% marca para desechar segun la forma de este contorno marcas que no pueden
% pertenecer a pecas.Como variable de entrada necesitara la imagen binaria
% correspondiente a los contornos sealados y las coordenadas de un pixel
% blanco, sealado previamente por la funcion "estudio_contorno". Como
% salida dara una imagen que va almacenando en un buffer y que al final
% sera cargada en la funcion "estudio_contorno" y estara preparada para
% volcer a marcar sobre la imagen original.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function y=cerrar_contorno(binaria,i,j);

%se crearan dos vectores, "Filas" donde iremos guardando la coordenadas de
%los pixels blancos para las filas y "Columnas" donde haremos lo propio para
%las columnas

Filas=i;
Columnas=j; %aadimos a los vectores las coordenadas del pixel inicial

Comprobar_fila=i;
Comprobar_columna=j; % guardamos las primeras coordenadas a comprobar, las correspondientes al pixel inicial


% generamos un bucle infinito, del que saltaremos con una instruccion "break" cuando uno de los pixels a 
%analizar no tenga vecinos blancos
while 2>1 

    while 2>1 %genaramos otro bucle infinito
       if binaria(Comprobar_fila,Comprobar_columna+1)==255 % comprobamos si el pixel de la derecha es blanco
          Filas=[Filas Comprobar_fila]; %en el caso de que sea aadimos sus coordenadas a los vectores "Filas" y "Columnas"
          Columnas=[Columnas Comprobar_columna+1];
          Comprobar_columna=Comprobar_columna+1; %cambiaremos las coordenadas del pixel a examinar
          binaria(Comprobar_fila,Comprobar_columna)=0; %marcaremos como negro el pixel para no volver a analizarlo
          %volveremos al principio del bucle para ver si el siguiente pixel
          %tiene el vecino de la derecha blanco
       else
          break % si su vecino de la derecha no es blanco saldremos del bucle
       end
    end
    
    
    while 2>1 % repetiremos lo explicado para examinar el vecino superior-derecho
       if binaria(Comprobar_fila+1,Comprobar_columna+1)==255
          Filas=[Filas Comprobar_fila+1];
          Columnas=[Columnas Comprobar_columna+1];
          Comprobar_columna=Comprobar_columna+1;
          Comprobar_fila=Comprobar_fila+1;
          binaria(Comprobar_fila,Comprobar_columna)=0;
       else
          break
       end
    end
    
    
     while 2>1 %repetiremos para el vecino superior
       if binaria(Comprobar_fila+1,Comprobar_columna)==255
          Filas=[Filas Comprobar_fila+1];
          Columnas=[Columnas Comprobar_columna];
          Comprobar_fila=Comprobar_fila+1;
          binaria(Comprobar_fila,Comprobar_columna)=0;
       else
          break
       end
    end
    
    while 2>1 %repetiremos para el vecino superior izquierdo
       if binaria(Comprobar_fila+1,Comprobar_columna-1)==255
          Filas=[Filas Comprobar_fila+1];
          Columnas=[Columnas Comprobar_columna-1];
          Comprobar_fila=Comprobar_fila+1;
          Comprobar_columna=Comprobar_columna-1;
          binaria(Comprobar_fila,Comprobar_columna)=0;
       else
          break
       end
    end
    
    while 2>1 %repetiremos para el vecino de la izquierda
       if binaria(Comprobar_fila,Comprobar_columna-1)==255
          Filas=[Filas Comprobar_fila];
          Columnas=[Columnas Comprobar_columna-1];
          Comprobar_columna=Comprobar_columna-1;
          binaria(Comprobar_fila,Comprobar_columna)=0;
       else
          break
       end
    end
    
     while 2>1 %repetiremos para el vecino inferior-izquierdo
       if binaria(Comprobar_fila-1,Comprobar_columna-1)==255
          Filas=[Filas Comprobar_fila-1];
          Columnas=[Columnas Comprobar_columna-1];
          Comprobar_fila=Comprobar_fila-1;
          Comprobar_columna=Comprobar_columna-1;
          binaria(Comprobar_fila,Comprobar_columna)=0;
       else
          break
       end
    end
    
     while 2>1 %repetiremos para el vecino inferior
       if binaria(Comprobar_fila-1,Comprobar_columna)==255
          Filas=[Filas Comprobar_fila-1];
          Columnas=[Columnas Comprobar_columna];
          Comprobar_fila=Comprobar_fila-1;
          binaria(Comprobar_fila,Comprobar_columna)=0;
       else
          break
       end
    end
    
       while 2>1 %repetiremos para el vecino inferior derecho
       if binaria(Comprobar_fila-1,Comprobar_columna+1)==255
          Filas=[Filas Comprobar_fila-1];
          Columnas=[Columnas Comprobar_columna+1];
          Comprobar_fila=Comprobar_fila-1;
          Comprobar_columna=Comprobar_columna+1;
          binaria(Comprobar_fila,Comprobar_columna)=0;
       else
          break
       end
    end
     
        
    if (Comprobar_fila==i & Comprobar_columna==j)| (binaria(Comprobar_fila,Comprobar_columna+1)~=255 & binaria(Comprobar_fila+1,Comprobar_columna)~=255 & binaria(Comprobar_fila+1,Comprobar_columna+1)~=255 & binaria(Comprobar_fila,Comprobar_columna-1)~=255 & binaria(Comprobar_fila-1,Comprobar_columna)~=255 & binaria(Comprobar_fila-1,Comprobar_columna-1)~=255 & binaria(Comprobar_fila-1,Comprobar_columna+1)~=255 & binaria(Comprobar_fila+1,Comprobar_columna-1)~=255)%si vecinos no son blancos
        break % si el pixel a analizar no tiene vecinos blancos saltaremos del bucle infinito inicial, si no volveremos a comprobar los vecinos de todas direcciones de nuevo
    end
end

% en este punto habremos recorrido todo el contorno y tendremos las
% coordenadas de cada pixel del contorno almacenadas en los vectores
% "Filas" y "Columnas" preparados para realizar los calculos necesarios





[W,L]=size(Filas); % Calculamos las dimensiones del vector filas. En la variable L se guardara el numero de pixels incluidos

maxf=max(Filas); % Se calcula la fila maxima y minima
minf=min(Filas);
maxc=max(Columnas); % Se calcula la columna maxima y minima
minc=min(Columnas);
Lado1=maxf-minf; % Obtenemos la anchura y la altura de la peca
Lado2=maxc-minc;
Dif=abs(Lado1-Lado2); % Calculamos la diferencia entre anchura y altura

fila1=Filas(1); % Calculamos las coordenadas para el primer pixel
columna1=Columnas(1);
fila2=Filas(L); % Calculamos las coordenadas para el ultimo pixel
columna2=Columnas(L);
modulo=round(((fila1-fila2)^2+(columna1-columna2)^2)^0.5); % calculamos el modulo
guardando=imread('guardando.bmp'); % Cargamos la imagen almacenada en el buffer



if modulo<10 & Dif<5 %Si la peca cumple con los requisitos de diferencia entre anchura y altura ademas de distancia entre pixels inicial y final lo aadiremeos a la imagen buffer
    for i=1:L
        f=Filas(i);
        c=Columnas(i);
        guardando(f,c)=255;
    end
imwrite(guardando,'guardando.bmp'); %guardaremos la imagen buffer
end

y=binaria; %restauraremos la imagen como estaba al principio y saldremos de la funcion. Los resultados son guardados en la imagen buffer.
