function y=rellena(marcada,vector)
%marcada es la imagen obtenida en final.m y que a sido procesada por la 1 parte de postprocesado.m
%en vector se encuentran las coordenadas que delimitan a las zonas marcadas
%de la imagen. La funcion rellena.m, rellena el hueco delimitado por estas
%coordenadas.
if vector~=0
    [Q,elementos]=size(vector);% sera el numero de elementos de vector 
    filas=elementos/3;
    for i=1:filas
        fil=3*i-2;%calcula la posicion (dentro de vector) de la fila y las columnas entre las que marcar
        column1=fil+1;
        column2=fil+2;
    
        fil=vector(fil); %obtiene el valor para filas y columnas indicado en vector
        column1=vector(column1);
        column2=vector(column2);
    
        for j=column1:column2
            marcada(fil,j,1)=255;
            marcada(fil,j,2)=0; 
            marcada(fil,j,3)=0; 
        end
    end
    y=marcada;
   
else
    y=marcada;
end